- op: add
  path: /spec/template/spec/containers/0/envFrom
  value:
    - secretRef:
        name: azure-keyvault
- op: add
  path: /spec/template/spec/containers/0/env
  value:
    - name: APP_NAMESPACE
      value: staging-atlantis
    - name: DOTNET_ENVIRONMENT
      value: Development
    - name: ASPNETCORE_ENVIRONMENT
      value: Development
    - name: DB_HOST
      valueFrom:
        secretKeyRef:
          name: staging-atlantis-db-app
          key: host
    - name: DB_PORT
      valueFrom:
        secretKeyRef:
          name: staging-atlantis-db-app
          key: port
    - name: DB_DATABASE
      valueFrom:
        secretKeyRef:
          name: staging-atlantis-db-app
          key: dbname
    - name: DB_USER
      valueFrom:
        secretKeyRef:
          name: staging-atlantis-db-app
          key: user
    - name: DB_PASSWORD
      valueFrom:
        secretKeyRef:
          name: staging-atlantis-db-app
          key: password
    - name: FGA_DB_HOST
      valueFrom:
        secretKeyRef:
          name: staging-openfga-db-app
          key: host
    - name: FGA_DB_PORT
      valueFrom:
        secretKeyRef:
          name: staging-openfga-db-app
          key: port
    - name: FGA_DB_DATABASE
      valueFrom:
        secretKeyRef:
          name: staging-openfga-db-app
          key: dbname
    - name: FGA_DB_USER
      valueFrom:
        secretKeyRef:
          name: staging-openfga-db-app
          key: user
    - name: FGA_DB_PASSWORD
      valueFrom:
        secretKeyRef:
          name: staging-openfga-db-app
          key: password
    - name: DAPR_API_TOKEN
      valueFrom:
        secretKeyRef:
          name: dapr-api-token
          key: token
